#!/usr/bin/env python
# -*- coding: utf-8 -*-

# définit les images d'arrère plan et celle choisie pour la souris
nom_image_arriereplan = 'miksplanete.png'
nom_image_souris = 'miks_static.png'
nom_image_sourisd = 'miks_walk1d.png'
nom_image_sourisg = 'miks_walk1g.png'
nom_image_souris2d = 'miks_walk2d.png'
nom_image_souris2g = 'miks_walk2g.png'

# importe la bibliothèque Pygame et autres éléments utiles
import pygame
from pygame.locals import *
from sys import exit

pygame.init()

# définit la taille de la fenêtre et le titre
ecran = pygame.display.set_mode((640, 480), 0, 32)
pygame.display.set_caption("Miks se prend pour une souris")

# appelle les images d'arrière-plan et de souris et indique la transparence alpha
arriereplan = pygame.image.load(nom_image_arriereplan).convert_alpha()
curseur_souris = pygame.image.load(nom_image_souris).convert_alpha()
curseur_sourisd = pygame.image.load(nom_image_sourisd).convert_alpha()
curseur_sourisg = pygame.image.load(nom_image_sourisg).convert_alpha()
curseur_souris2d = pygame.image.load(nom_image_souris2d).convert_alpha()
curseur_souris2g = pygame.image.load(nom_image_souris2g).convert_alpha()

# indique la couleur choisie pour l'arriere-plan en RVB
R = 90
V = 145
B = 177

while True:
	
	# pour fermer la fenêtre
	for event in pygame.event.get():
		if event.type == QUIT:
			exit()
	# colorie l'écran dans la couleur indiquée en mode RVB
	ecran.fill((R,V,B))

 	# affiche l'image d'arrière-plan
	ecran.blit(arriereplan, (0,0))

	# définit la position et affiche l'image choisie pour la souris
	x, y = pygame.mouse.get_pos()
	x-= curseur_souris.get_width() / 2
	y-= curseur_souris.get_height() / 2
	ecran.blit(curseur_souris, (x, y))

	# change l'image quand on appuie sur la touche droite
	if event.type == KEYDOWN:
		if event.key == K_RIGHT:
			ecran.blit(curseur_souris2d, (x+20, y))
	elif event.type == KEYUP:
		if event.key == K_RIGHT:
			ecran.blit(curseur_sourisd, (x+20, y))

	# change l'image quand on appuie sur la touche gauche
	if event.type == KEYDOWN:
		if event.key == K_LEFT:
			ecran.blit(curseur_souris2g, (x-20, y))
	elif event.type == KEYUP:
		if event.key == K_LEFT:
			ecran.blit(curseur_sourisg, (x-20, y))

	pygame.display.update()


