#!/usr/bin/env python
# -*- coding: utf-8 -*-

# définit les images d'arrère plan et celle choisie pour la souris
nom_image_arriereplan = 'miksplanete.png'
nom_image_perso = 'miks_walk2d.png'

# importe la bibliothèque Pygame et autres éléments utiles
import pygame
from pygame.locals import *
from sys import exit

pygame.init()

# définit la taille de la fenêtre et le titre
ecran = pygame.display.set_mode((640, 480), 0, 32)
pygame.display.set_caption("Miks va-t-il bouger ?")

# appelle les images d'arrière-plan et de souris et indique la transparence alpha
arriereplan = pygame.image.load(nom_image_arriereplan).convert_alpha()
perso = pygame.image.load(nom_image_perso)

# les coordonnées de notre personnage
x = 0.
y = 100.

# indique la couleur choisie pour l'arriere-plan en RVB
R = 90
V = 145
B = 177

while True:
	
	# pour fermer la fenêtre
	for event in pygame.event.get():
		if event.type == QUIT:
			exit()
	# colorie l'écran dans la couleur indiquée en mode RVB
	ecran.fill((R,V,B))
	
 	# affiche l'image d'arrière-plan
	ecran.blit(arriereplan, (0,0))

 	# affiche l'image du personnage et la fait bouger
	ecran.blit(perso, (x, y))
	if event.type == KEYDOWN:
		if event.key == K_RIGHT:
			x+= 1
		if event.key == K_LEFT:
			x-= 1
		elif event.key == K_DOWN:
			y+= 1
		elif event.key == K_UP:
			y-= 1

	# Si l'image sort de l'écran, la ramène dans l'écran
	if x > 640.:
		x -= 60.
	elif x < 0.:
		x += 40.
	if y > 480.:
		y -= 100.
	elif y < 0.:
		y += 60.

	pygame.display.update()


